
Name:      qubes-mgmt-salt-base-topd
Version:   4.1.2
Release:   1%{?dist}
Summary:   Salt top module plugin that allows top drop-ins
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
BuildRequires: make
Requires:  salt
Requires:  salt-minion
Requires:  qubes-mgmt-salt-config >= 4.1.0
%if 0%{?fedora} == 25
Requires:  qubes-mgmt-salt-base-overrides
Requires:  qubes-mgmt-salt-base-overrides-libs
%endif
Requires(post): /usr/bin/salt-call

Source0: %{name}-%{version}.tar.gz

%description
Salt top module plugin that allows top drop-ins

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%post
# Update Salt Configuration
salt-call --local saltutil.clear_cache -l quiet --out quiet > /dev/null || true
salt-call --local saltutil.sync_all refresh=true -l quiet --out quiet > /dev/null || true

# Enable States
/usr/bin/salt-call --local top.enable topd saltenv=base -l quiet --out quiet > /dev/null || true

# Enable Pillars
/usr/bin/salt-call --local top.enable topd.config saltenv=base pillar=true -l quiet --out quiet > /dev/null || true

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%attr(750, root, root) %dir /srv/salt/_modules
/srv/salt/_modules/topd.py*

%attr(750, root, root) %dir /srv/salt/topd
/srv/salt/topd/init.conf
/srv/salt/topd/init.sls
/srv/salt/topd/init.top
/srv/salt/topd/LICENSE
/srv/salt/topd/README.rst

%attr(750, root, root) %dir /srv/salt/_utils
/srv/salt/_utils/fileinfo.py*
/srv/salt/_utils/matcher.py*
/srv/salt/_utils/pathinfo.py*
/srv/salt/_utils/pathutils.py*
/srv/salt/_utils/toputils.py*

%config(noreplace) /srv/pillar/topd/config.sls
/srv/pillar/topd/config.top

%changelog
* Thu May 13 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt-base-topd.git

* Thu May 13 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0a76534
- version 4.1.2

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 932e36d
- spec: add BR make

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a92bb5c
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cc3e588
- Update travis

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b970e41
- version 4.1.1

* Fri Dec 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89930a0
- Make it compatible with Python3

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 22e0243
- travis: switch to bionic

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da5ce6f
- version 4.1.0

* Mon Apr 01 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09b7eb8
- Add explicit pillar= argument to get_top()

* Fri Mar 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eac0c1e
- version 4.0.1

* Thu Dec 20 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 09da28f
- Use overrides only with salt version older than 2018.3

* Thu Dec 20 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 2b33169
- urlparse: update use of urlparse from upstream

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b16e4e
- travis: switch to r4.0

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 2a9d890
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - e02d243
- Create .spec.in and Source0

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c765b3
- version 4.0.0

* Fri May 26 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 103f726
- Adjust for salt 2016.11.3

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f42147
- travis: drop debootstrap workaround

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96db596
- version 3.2.1

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 70a2b6e
- Don't silently hide errors on failed render

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0836d57
- rpm: use 'salt-call --local' instead of qubesctl

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 727091c
- travis: initial version

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6423e12
- pillar: Do not load unneeded vmtype.jinja

* Wed May 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6afb478
- version 3.2.0

* Sat Mar 05 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69f4ac7
- Load topd module only in dom0

* Sat Dec 26 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e0b84c5
- version 3.1.1

* Fri Dec 25 2015 Jason Mehring <nrgaway@gmail.com> - 016f82c
- Remove adapt module as it's not being used

* Fri Dec 25 2015 Jason Mehring <nrgaway@gmail.com> - 0516af3
- utils: adapt - Add back missing keyword arg in function signature call

* Fri Dec 25 2015 Jason Mehring <nrgaway@gmail.com> - 0256e91
- modules: Make sure opts contains grains when loading tops

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - b08c74e
- modules: Allow topd directory to be able to be passed to allow multiple locations

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 35fbf9a
- utils: pathutils + toputils - return proper saltenv when calling saltenv() method

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 63c78eb
- utils: toputils - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 6b7cf74
- utils: toputils - cleanup code

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 435730e
- utils: pathutils - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 7834021
- utils: pathutils - cleanup code

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - e65cb5e
- utils: pathinfo - pylint

* Wed Dec 23 2015 Jason Mehring <nrgaway@gmail.com> - 8c5ee28
- utils: matcher - pylint

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 4ec169e
- utils: fileinfo - pylint

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 508c2cd
- utils: adapt - pylint

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 09f4e5d
- debian: Fix incorect postinst filename

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 61bc6b7
- utils: toputils - Reformat

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 93c3b40
- utils: pathutils - Reformat

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 61e8691
- utils: pathinfo - Reformat

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 103ffa3
- utils: matcher - Reformat

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - f3f8d58
- utils: fileinfo - Reformat

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 2468e7e
- utils: adapt - Reformat

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 3cb36d8
- modules: topd - pylint

* Tue Dec 22 2015 Jason Mehring <nrgaway@gmail.com> - 7122c23
- modules: topd - Reformat

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - 373e949
- FORMULA: Use Makefile VARS for formula_dir, etc and re-ordered fields

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - dd50cd1
- Makefile:  Added a few formatting line feeds

